function Create(self)
self.PTimer = Timer();
    local curdist = 60;
    for actor in MovableMan.Actors do
	local avgx = actor.Pos.X - self.Pos.X;
	local avgy = actor.Pos.Y - self.Pos.Y;
	local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
	if dist < curdist then
	    curdist = dist;
	    self.parent = actor;
	end
    end
end

function Update(self)

	if self.PTimer:IsPastSimMS(50) then
		local maxdist = 50;
		local part = nil;
		for actor in MovableMan.Actors do
			local avgx = actor.Pos.X - self.Pos.X;
			local avgy = actor.Pos.Y - self.Pos.Y;
			local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
			if dist <  maxdist and actor.ClassName ~= "ADoor" and actor.ID ~= self.parent.ID then
				self:TriggerBurst();
				part = CreateMOPixel("Return");
				part.oldypos = actor.Pos.Y;
				part.oldteam = actor.Team;
				part.oldmode = actor.AIMode;
				actor.Pos.Y = -(actor.Diameter/2+10);
				part.Pos = actor.Pos;
				actor.Team = -1;
				actor.AIMode = 0;
				actor.PinStrength = 400;
				print(actor);
				MovableMan:AddParticle(part);
			end
		end
	self.PTimer:Reset();
	end

end