local sqrt = math.sqrt
local rand = math.random

function Update(self)
		local mindist = 35;
	    local maxdist = 150;
	    for particle in MovableMan.Particles do
		local vec = SceneMan:ShortestDistance(particle.Pos,self.Pos,SceneMan.SceneWrapsX)
		local dist = vec.Magnitude
		if dist > mindist and dist < maxdist and particle.Team ~= self.Team and particle.PinStrength < 1 and ( particle.HitsMOs or particle.GetsHitByMOs ) then
			if particle.Vel.Magnitude>6 then
				if particle.Lifetime > 0 then particle.Lifetime = particle.Lifetime + 17 end
				local dot = vec.Normalized:Dot(particle.Vel.Normalized)
				--print( dot )
				if math.abs(dot)<0.1 then dot = 0 end
				if dot>-0.8 then
				--dot = vec:Dot(particle.Vel)
				local force = vec.Normalized*(1+particle.Vel.Magnitude*particle.Mass)^2*dot^3*-4000/vec.Magnitude^2

				particle:AddForce(force,Vector(0,0));
				
						if particle.ClassName == "AEmitter" and rand()<0.008 then ToAEmitter(particle):EnableEmission(false) end
				end
			elseif particle:GetAltitude(5,1)<3 and rand() < 0.5 then
				particle.ToSettle = true;
			end

		end
		end
		
		for item in MovableMan.Items do
		vec = SceneMan:ShortestDistance(item.Pos,self.Pos,SceneMan.SceneWrapsX)
		dist = vec.Magnitude
			if dist > mindist and dist < maxdist and item.Team ~= self.Team and item.PinStrength < 1 and item.ClassName == "TDExplosive" then
				if vec.Normalized:Dot(item.Vel.Normalized)>-0.8 or item.Vel.Magnitude < 1 then
				if ToThrownDevice(item):IsActivated() then
					if rand()<0.2 then
					ToThrownDevice(item):Deactivate()
					end
				elseif rand()<0.1 then
				item.ToSettle = true;
				end
				end
			end
		end
end
