function Create(self)
    self.LTimer = Timer();
	self.buried = false;
	self.deto = 0;
	self.Vel = self.Vel/20;
--Find out who shot the weapon by finding the closest actor within 60 pixels.
    local curdist = 60;
    for actor in MovableMan.Actors do
	local avgx = actor.Pos.X - self.Pos.X;
	local avgy = actor.Pos.Y - self.Pos.Y;
	local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
	if dist < curdist then
	    curdist = dist;
	    self.parent = actor;
	end
    end

--If the projectiles has no firer, make it go after anyone.  Otherwise, set its team to that of the firer.
    if MovableMan:IsActor(self.parent) then
	--self.Team = self.parent.Team;
    else
	self.Team = -1;
    end
end

function Update(self)
	if not self.LTimer:IsPastSimMS(1300) or self.buried or self.deto>0 then
		self:NotResting();
		self.ToSettle = false;
		else
		self.ToSettle = true;
	end

	local alt = self:GetAltitude(12,0)

	if self.buried and self.deto==0 and alt>1 then
		self.buried = false;
		self.PinStrength = 0;
		self.LTimer:Reset();
	end

	if self.LTimer:IsPastSimMS(80) and self.deto == 1 then
		self.Frame = 2;
		self.PinStrenght = 2000
		self.Vel = Vector(0,0)
		self.Pos = Vector(self.Pos.X,self.Pos.Y-10)
		self.AngularVel = 0;
		self.RotAngle = math.pi*1.5;
		self:GibThis(Vector(0,-5),200,self);
	end

	if self.LTimer:IsPastSimMS(80) and not self.buried and self.deto == 0 then
		if alt < 8 then
		local vect = Vector(0,-5)
			if SceneMan:CastStrengthSumRay(self.Pos,Vector(self.Pos.X,self.Pos.Y+alt+3),0,0)<200 then
			self.Pos = Vector(self.Pos.X,self.Pos.Y+alt+1);
			self.PinStrength = 500;
			self.AngularVel = 0;
			self.buried = true;
			self.RotAngle = 0;
			end
		end
	end

    if self.LTimer:IsPastSimMS(50) and self.buried == true then --and self.deto == 0 then
	    local Ddist = 23;
	    for actor in MovableMan.Actors do
		local avgx = actor.Pos.X - self.Pos.X;
		local avgy = actor.Pos.Y - self.Pos.Y;
		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
			if dist < Ddist and actor.Team ~= self.Team then
			self.deto = 1;
			self.LTimer:Reset();
			self.Frame = 1;
			end
	    end
	end
end