function Create(self)
    self.LTimer = Timer();
    self.PTimer = Timer();
	self.UTimer = Timer();
	self.deployed = false; -- false rising	 true ready
	self.Vel = self.Vel*0.1;
	self.Team = -1;
end

function Update(self)
	local alt = self:GetAltitude(140,4)
	local vect0 = Vector(0,-70);
	if not self.deployed then
	self.height = SceneMan:CastObstacleRay(self.Pos,vect0,vect0,vect0,self.ID,self.Team,0,1)
	end
	if self.height==70 then self.height = -1 end;
	if self.LTimer:IsPastSimMS(100) and not self.deployed then
			if alt > 70 or (self.height < 26 and self.height > 0) then
			self:MoveOutOfTerrain(5);
			self.PinStrength = 500;
			self.AngularVel = 0;
			self.RotAngle = 0;
			self.deployed = true;
		end
	end
		local vect1 = Vector(0,alt);
		local vect2 = Vector(0,-self.height);
			if self.PTimer:IsPastSimMS(15) then
			local part;
				for i=0, math.floor(self.height/7) do
					part = nil;
					part = CreateMOSParticle("Wire");
					part.Pos = self.Pos;
					part.Pos.Y = self.Pos.Y-6-i*7;
					MovableMan:AddParticle(part);
				end
				for i=0, math.floor(alt/7) do
					part = nil;
					part = CreateMOSParticle("Wire");
					part.Pos = self.Pos;
					part.Pos.Y = self.Pos.Y+6+i*7;
					MovableMan:AddParticle(part);	
				end
			self.PTimer:Reset();
			end
	if self.UTimer:IsPastSimMS(5) and self.deployed then
		local mo1 = MovableMan:GetMOFromID(MovableMan:GetRootMOID(SceneMan:CastMORay(self.Pos,vect1,self.ID,self.Team,0,false,2)));
		local mo2 = MovableMan:GetMOFromID(MovableMan:GetRootMOID(SceneMan:CastMORay(self.Pos,vect2,self.ID,self.Team,0,false,2)));
		if MovableMan:ValidMO(mo1) then
			if mo1.Mass>2 and mo1.PinStrength<1 then self:GibThis() end
		end
		if MovableMan:ValidMO(mo2) then
			if mo2.Mass>2 and mo2.PinStrength<1 then self:GibThis() end
		end
	self.UTimer:Reset();
	end
end