function Create(self)

local mo
   for i = 1, MovableMan:GetMOIDCount()-1 do
      mo = MovableMan:GetMOFromID(i)
      if mo.PresetName == "Shiva Screen" and mo.RootID == self.RootID then
		self.Screen = ToMOSprite(mo)
      end
   end

self.ready = false
self.charge = 0
self.Timer = Timer()

end

function Update(self)

self.Health = 500

if ActivityMan:GetActivity().ActivityState == Activity.EDITING then
self.ready = false
self.Screen.Frame = 4
self.Timer:Reset()
else
self.ready = true
end

if self.ready then
local s
if self.Timer:AlternateSim(400) then s=1 else s = 0 end
self.Screen.Frame = s+2
	if self:GetController():IsState(Controller.WEAPON_FIRE) or not MovableMan:IsActor(MovableMan:GetClosestBrainActor(self.Team,self.Pos)) then
		if self.charge>6 then

			for actor in MovableMan.Actors do
				if actor.PresetName=="SubShiva Actor" and actor.Team == self.Team then
				actor.Sharpness = 251 
				end
			end

			self:GibThis()
			return
		end
	
		if self.charge<0.3 then self.Timer:Reset() end

		local phase = self.Timer:AlternateSim(1300-self.charge*210)
		if phase then s=1 else s = 0 end
		self.Screen.Frame = s
		if phase then
		self:FlashWhite(100)
		end
		self.charge = self.charge+TimerMan.DeltaTimeSecs
	else 
		self.charge = self.charge-TimerMan.DeltaTimeSecs*2
		if self.charge<0 then self.charge = 0 end
	end

else
self.charge = 0
end

end