function Create(self)
    self.LTimer = Timer();
end
function Update(self)

    if self.LTimer:IsPastSimMS(650) then
		local maxdist = 155;
		for actor in MovableMan.Actors do
			if SceneMan:ShortestDistance(self.Pos,actor.Pos,SceneMan.SceneWrapsX).Magnitude < maxdist then
			actor.Vel = Vector(actor.Vel.X*0.86,actor.Vel.Y*0.86-0.40);
			actor.AngularVel = actor.AngularVel*1.01;
			end
		end
		for item in MovableMan.Items do
			if SceneMan:ShortestDistance(self.Pos,item.Pos,SceneMan.SceneWrapsX).Magnitude < maxdist then
			item.Vel = Vector(item.Vel.X*0.86,item.Vel.Y*0.86-0.40);
			item.AngularVel = item.AngularVel*1.01;
			end
		end
		for particle in MovableMan.Particles do
			if particle.HitsMOs and SceneMan:ShortestDistance(self.Pos,particle.Pos,SceneMan.SceneWrapsX).Magnitude < maxdist then
			particle.Vel = Vector(particle.Vel.X*0.86,particle.Vel.Y*0.86-0.40);
			particle.AngularVel = particle.AngularVel*1.01;
				if particle.Lifetime > 1 and particle.PresetName ~= self.PresetName then
				particle.Lifetime = particle.Lifetime+20;
				end
			end
		end
	end
end


function Destroy(self)
	local maxdist = 190;
	for actor in MovableMan.Actors do
		if SceneMan:ShortestDistance(self.Pos,actor.Pos,SceneMan.SceneWrapsX).Magnitude < maxdist then
		actor.Vel = Vector(actor.Vel.X,(actor.Vel.Y+40));
		end
	end
	for item in MovableMan.Items do
		if SceneMan:ShortestDistance(self.Pos,item.Pos,SceneMan.SceneWrapsX).Magnitude < maxdist then
		item.Vel = Vector(item.Vel.X,(item.Vel.Y+40));
		end
	end
	for particle in MovableMan.Particles do
		if particle.HitsMOs and SceneMan:ShortestDistance(self.Pos,particle.Pos,SceneMan.SceneWrapsX).Magnitude < maxdist and particle.PresetName ~= self.PresetName then
		particle.Vel = Vector(particle.Vel.X,(particle.Vel.Y+40));
		end
	end
end
