local rand = math.random
local abs = math.abs

function Create(self)
self:EnableDeepCheck(true);
self:ForceDeepCheck(true);
self:EraseFromTerrain();
self.Vel = Vector(0,0);
self.realPos = Vector(self.Pos.X,self.Pos.Y);

for actor in MovableMan.Actors do
	if abs(actor.Pos.X-self.Pos.X) < self.Radius*self.Scale*0.7 and  abs(actor.Pos.Y-self.Pos.Y) < self.Radius*self.Scale*0.7 then
	actor.Lifetime = 2
	end
end

	if self.Scale > 1 then
	--local particles =  {}
	local blastcount = math.floor(self.Scale*16)
	local part
	local vect = Vector(0,180)
		for n=0,blastcount-1 do

		vect = vect:RadRotate(6.28/blastcount*n)
		part = CreateMOSRotating("NukeBlast")
		part.Pos = self.Pos+vect*0.4*self.Scale
		part.Lifetime = part.Lifetime*self.Scale
		part.Vel = vect
		part.RotAngle = vect.AbsRadAngle
		--particles[n] = part
		MovableMan:AddParticle(part)
		end


--[[
	local a,b;
	for i,part in ipairs(particles) do
	a = i-1
	if i<0 then i=i+#particles end
	b = i+1
	if i>#particles then i=i-#particles end

	part:SetWhichMOToNotHit(self,-1);
	part:SetWhichMOToNotHit(particles[a],-1);
	part:SetWhichMOToNotHit(particles[b],-1);
	

	end]]--

	end
end

function Update(self)
self.Vel = Vector(0,0);
self.Pos = self.realPos+Vector(rand(-70,70),rand(-70,70))*self.Scale;
self:EraseFromTerrain();

if self.ToDelete then
if self.Scale > 1 then
	for particle in MovableMan.Particles do
		if abs(particle.Pos.X-self.Pos.X)<self.Radius*self.Scale*1.3 and particle.PresetName == "None" then
			if rand()>0.4 then
				particle.Lifetime = 1;
			else
				particle.Vel = particle.Vel+Vector((particle.Pos.X-self.Pos.X)*0.4*rand(),-rand(10,70))
			end
		end
	end
end
end
end