function Create(self)
--The timer that will measure out the projectiles's events.
    self.LTimer = Timer();

--The projectiles's target, currently set to nothing.

    self.target = nil;

--Find out who shot the weapon by finding the closest actor within 60 pixels.
    local curdist = 60;
    for actor in MovableMan.Actors do
	local vec = SceneMan:ShortestDistance(self.Pos,actor.Pos,SceneMan.SceneWrapsX)
	local dist = vec.Magnitude
	if dist < curdist then
	    curdist = dist;
	    self.parent = actor;
	end
    end

--If the projectiles has no firer, make it go after anyone.  Otherwise, set its team to that of the firer.
    if MovableMan:IsActor(self.parent) then
	self.Team = self.parent.Team;
    else
	self.Team = -1;
    end
end

function Update(self)
    if self.LTimer:IsPastSimMS(70) then
		--Get a target.  Go for the closest actor within 120 pixels.
		local vec
		if not MovableMan:IsActor(self.target) then
			local curdist = 120;
			for actor in MovableMan.Actors do
				vec = SceneMan:ShortestDistance(self.Pos,actor.Pos,SceneMan.SceneWrapsX)
				local dist = vec.Magnitude
				if dist < curdist and actor.Team ~= self.Team then
					curdist = dist;
					self.target = actor;
				end
			end
		end

		--If the target still exists...
		if MovableMan:IsActor(self.target) then
		vec = SceneMan:ShortestDistance(self.Pos,self.target.Pos,SceneMan.SceneWrapsX)
			--Adding force
			self:AddForce(vec*12000/vec.Magnitude^2,Vector(math.random(-8,8),math.random(-8,8)));
		else
		curdist = 120;
		end
		
	end
end