function Create(self)
--The timer that will measure out the missile's events.
    self.LTimer = Timer();

--Find out who shot the weapon by finding the closest actor within 50 pixels.
    local curdist = 50;
    for actor in MovableMan.Actors do
	local vec = SceneMan:ShortestDistance(self.Pos,actor.Pos,SceneMan.SceneWrapsX)
	local dist = vec.Magnitude
	if dist < curdist then
	    curdist = dist;
	    self.parent = actor;
	end
    end

--If the missile has no firer, make it go after anyone.  Otherwise, set its team to that of the firer.
    if MovableMan:IsActor(self.parent) then
	self.Team = self.parent.Team;
    else
	self.Team = -1;
    end
end

function Update(self)
if self.LTimer:IsPastSimMS(410) then

--let's find something to blow up
	local vect = Vector(0,500);
	mohit = MovableMan:GetMOFromID(MovableMan:GetRootMOID(SceneMan:CastMORay(self.Pos,vect,self.ID,self.Team,0,false,3)));
--get 'em
	if MovableMan:IsActor(mohit) then
		if mohit.Team ~= self.Team then
		self.RotAngle = -math.pi/2;
		if self.BurstScale < 5 then
		self.BurstScale = 5;
		self:TriggerBurst();
		self.Vel = self.Vel*0.2;
		self.Vel.Y = self.Vel.Y+10;
		self.Vel.X = self.Vel.X*(-0.05);
		end
		end
	end

	if self.LTimer:IsPastSimMS(5000) then
	    --If the missile has run out of time, self destruct!
	    self:GibThis();
	end
end
end