function Create(self)
    self.LTimer = Timer();
    self.PTimer = Timer();
	self.deployed = false;
	--if self.Vel.X<0 then self.HFlipped = true end
	self.Vel = self.Vel/20;
--Find out who shot the weapon by finding the closest actor within 60 pixels.
    local curdist = 70;
    for actor in MovableMan.Actors do
	local avgx = actor.Pos.X - self.Pos.X;
	local avgy = actor.Pos.Y - self.Pos.Y;
	local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
	if dist < curdist then
	    curdist = dist;
	    self.parent = actor;
	end
    end

--If the projectiles has no firer, make it go after anyone.  Otherwise, set its team to that of the firer.
    if MovableMan:IsActor(self.parent) then
	--self.Team = self.parent.Team;
	self.HFlipped = self.parent.HFlipped;
	self.Team = self.parent.Team
    else
	self.Team = -1;
    end
end

function Update(self)
	self:NotResting();
	self.ToSettle = false;
	if self.LTimer:IsPastSimMS(10) and not self.deployed then
		local alt = self:GetAltitude(12,0)
			if alt < 6 then
				if self.HFlipped then self.RotAngle = math.pi*2 else self.RotAngle = 0 end
			self.Pos = Vector(self.Pos.X,self.Pos.Y+alt-3);
			self.PinStrength = 500;
			self.AngularVel = 0;
			self.deployed = true;
		end
	end

    if self.LTimer:IsPastSimMS(220) and self.deployed == true then
		self.Frame = 1;
	    local Ddist = 90;
		local minDist = 20;
	    for actor in MovableMan.Actors do
			local avgx = actor.Pos.X - self.Pos.X;
			local avgy = math.abs(actor.Pos.Y - self.Pos.Y);
			local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
				--if dist < Ddist-10 then self.Frame = 0 print(dist) end
				if dist>minDist then
					if avgy<45 then
						if SceneMan:CastStrengthSumRay(self.Pos,actor.Pos,5,0)<10 then
							if (dist < 8 or avgx<0 and self.HFlipped and avgx>-Ddist or avgx>0 and not self.HFlipped and avgx<Ddist) and actor.Team ~= self.Team then
								if not self.HFlipped then
									self:GibThis(Vector(10,-2),90,self);
								else
									self.RotAngle = math.pi;
									self:GibThis(Vector(-10,-2),90,self);
								end
							end
						end
					end
				end
		end

		local Udist = 15;
		if self.PTimer:IsPastSimMS(70) then
	    for particle in MovableMan.Particles do
			local avgx = particle.Pos.X - self.Pos.X;
			local avgy = particle.Pos.Y - self.Pos.Y;
			local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
				if dist < Udist and particle.HitsMOs and math.sqrt(particle.Vel.X ^ 2 + particle.Vel.Y ^ 2) > 60 and math.random()<0.6 then
					self.Frame = 0;
				end
		end
		self.PTimer:Reset();
		end
	end
end