function Create(self)
--The timer that will measure out the missile's events.
    self.LTimer = Timer();
	self.BTimer = Timer();
	self.BTimer:Reset();
	self.Boost = false;
--Find out who shot the weapon by finding the closest actor within 50 pixels.
    local curdist = 50;
    for actor in MovableMan.Actors do
	local vec = SceneMan:ShortestDistance(self.Pos,actor.Pos,SceneMan.SceneWrapsX)
	local dist = vec.Magnitude
	if dist < curdist then
	    curdist = dist;
	    self.parent = actor;
		self.lastangle=actor:GetAimAngle(true);
	end
    end
end

function Update(self)
if self.LTimer:IsPastSimMS(400) and not self.LTimer:IsPastSimMS(5900) then
	--If the parent still exists...
	if MovableMan:IsActor(self.parent) then
	if not self.parent:HasObject("Nikita GML") then self.parent = nil end;
	if MovableMan:IsActor(self.parent) then
	if self.parent:GetController():IsState(Controller.BODY_CROUCH) then self:GibThis(); end
	if self.parent:IsPlayerControlled() then
		local player = self.parent:GetController().Player;
		if self.parent:GetController():IsState(Controller.AIM_SHARP) then
		--SceneMan:SetScroll(self.Pos,player);
		SceneMan:SetScrollTarget(self.Pos,1,(math.abs(self.parent.Pos.X-self.Pos.X)>SceneMan.SceneWidth/2),player);
		end
	end
	self.AngularVel = 0;
		local pangle = self.parent:GetAimAngle(true);
		--Dohickery to cause nikita-like boosting when moving straight
		if self.BTimer:IsPastSimMS(1000) then
			self.BTimer:Reset();
			if pangle == self.lastangle then
				if self.Boost == false then
					self.BurstScale = 3;
					self:TriggerBurst();
					self.Boost = true;
				end
			else
				self.BTimer:Reset()
				self.Boost = false
				self.Vel = self.Vel*0.9
			end
		end
		if self.Boost then
		self.Vel = self.Vel*1.03
		end
		--steering and stuff
			self.RotAngle = EaseInOut(self.RotAngle,pangle,0.24);
			--print(self.RotAngle)
			self.BurstScale = 0.9;
			self.lastangle = pangle;


			--Make sure the missile's thruster is firing.
			if self:IsEmitting() == false and not self.LTimer:IsPastSimMS(5900) then
				self:EnableEmission(true);
			end
	else
			--If there's no parent, shut off the thrusters.
			if self:IsEmitting() == true then
				self:EnableEmission(false);
				self.LTimer.ElapsedSimTimeMS = self.LTimer.ElapsedSimTimeMS+5200;
			end
	end
	end
end
	if self.LTimer:IsPastSimMS(7000) then
	    --If the missile has run out of time, self destruct!
	    self:GibThis();
	end
	if self.LTimer:IsPastSimMS(5900) then
		self:EnableEmission(false);
		self.Vel = self.Vel + Vector(0,4)
	end
end