function Create(self)
self.stuck = false;
self.toffset = Vector(0,0);
self.roff = 0;
self.flip = false;

local curdist = 50;
for actor in MovableMan.Actors do
local avgx = actor.Pos.X - self.Pos.X;
local avgy = actor.Pos.Y - self.Pos.Y;
local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
if dist < curdist then
    curdist = dist;
    self.parent = actor;
end
end
if not MovableMan:IsActor(self.parent) then
self.Lifetime = 1;
end
    if stickyList == nil then
	stickyList = { };
    end
	self.index = #stickyList+1;
    stickyList[self.index] = self;

end

function Update(self)

if not MovableMan:IsActor(self.parent) then
part = CreateMOPixel("BreakGlow");
part.Pos = self.Pos;
MovableMan:AddParticle(part);
self.Lifetime = 1;
return;
end

if self.parent:HasObject("StickyBomb Launcher") == false then
part = CreateMOPixel("BreakGlow");
part.Pos = self.Pos;
MovableMan:AddParticle(part);
self.Lifetime = 1;
return;
end;

if self.stuck then
	self:EnableEmission(true);
	
	if MovableMan:IsActor(self.target) then
	local POffSet = self.toffset;
	if self.flip ~= self.target.HFlipped then
	POffSet.X = self.toffset.X*-1; self.flip = self.target.HFlipped; end
	self.Pos = Vector(self.target.Pos.X + (POffSet.Magnitude * math.cos(self.target.RotAngle + self.roff)),self.target.Pos.Y - (POffSet.Magnitude * math.sin(self.target.RotAngle + self.roff)));
	self.AngularVel = self.target.AngularVel;
	self.Vel = self.target.Vel;
	else self.PinStrength = 8; self.GetsHitByMOs = true; end
else self:EnableEmission(false); end

	self:NotResting();
	self.ToSettle = false;
	self.Vel.Y = self.Vel.Y-0.0005;
    if self.Age > 80 and not self.stuck then
		--local curdist = 14;
		for actor in MovableMan.Actors do
--		local avgx = actor.Pos.X - self.Pos.X;
--		local avgy = actor.Pos.Y - self.Pos.Y;
--		local dist = math.sqrt(avgx ^ 2 + avgy ^ 2);
			--if dist < curdist then
			--curdist = dist;
			if actor:IsOnScenePoint(self.Pos+self.Vel*0.7) then
				self.target = actor;
			end
			--end
		end
		
		if MovableMan:IsActor(self.target) then
			self.stuck = true;
			self.toffset = self.Pos-self.target.Pos;
			self.flip = self.target.HFlipped;
			self:SetWhichMOToNotHit(self.target,-1);
			--self.HitsMOs = false;
			--self.GetsHitByMOs = false;
			self.roff = self.toffset.AbsRadAngle-self.target.RotAngle;
			self.toffset = self.toffset*0.7;
		else if SceneMan:CastStrengthSumRay(self.Pos,self.Pos+self.Vel*0.7,0,128)>4 or self:IsAtRest() then self.stuck = true else self.target = nil end end
	end
end

function Destroy(self)
if stickyList ~= nil then
	table.remove(stickyList,self.index);
end
end